import java.util.*;
import java.util.regex.*;

public class RightAlignLeftHandler extends Handler {
	public String getBeginToken() {
		return "^rl=(\\d+)$";
	}

	public String getEndToken() {
		return "rl";
	}

	public void beforeHandling() {
		Context context = getContext();
		int col = Integer.parseInt(getMatcher().group(1));	
		char[] filler = new char[col];
		Arrays.fill(filler, 'M');
		int posX = context.getG2().getFontMetrics().stringWidth(new String(filler));
		posX -= context.getG2().getFontMetrics().stringWidth(replaceAllCodes(context.getMessage()));
		context.setX(posX); 
	}

	public void afterHandling() {
	}
}
